Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Singleton.cpp File Reference

`#include "ace/Singleton.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Framework_Component.h"`
`#include "ace/Guard_T.h"`

Include dependency graph for Singleton.cpp:

This graph shows which files directly or indirectly include this file:

## Functions

const char * | get_rcsid_ace_Singleton (const char *)

## Variables

const char * | rcsid_ace_Singleton = get_rcsid_ace_Singleton ( rcsid_ace_Singleton )

## Function Documentation

const char* get_rcsid_ace_Singleton | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Singleton = get_rcsid_ace_Singleton ( rcsid_ace_Singleton )`[static]`